Subject: Re: [bug#32137] closed (Re: [bug#32137] [PATCH] gnu: Add luakit)

From: [email-masked] (Ludovic Courtès)
Date: Sun, 19 Aug 2018 23:02:55 +0200

Raphaël Mélotte <[email-masked]> skribis:

> Ludovic Courtès writes:
>
>
>> Here’s what I get:
>>
>> --8<---------------cut here---------------start------------->8---
>> $ /gnu/store/7fxcgx5vdnlggw2ffc1xamxjlxvl1w09-luakit-2017.08.10/bin/luakit
>>
>> ** (.luakit-real:3176): WARNING **: 10:43:15.534: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
>> [    0.081785] W [core/luah]: couldn't load any rc file
>> [    0.081813] F [core/luakit]: couldn't find rc file
>> --8<---------------cut here---------------end--------------->8---
>>
>> Thanks,
>> Ludo’.
>
> Whoops, you're right: it's working for me on GuixSD, but on Debian+Guix,
> if I don't source '~/.guix-profile/etc/profile', XDG_CONFIG_DIRS is not
> set to look in the Guix store and luakit can't find it's default configuration.
>
> Should I add a wrapping phase that sets XDG_CONFIG_DIRS or do we rely on
> the user sourcing '~/.guix-profile/etc/profile' ?

Good question.  Note that ~/.guix-profile/etc/profile will not set
XDG_CONFIG_DIRS, unless qtbase is installed in the profile (from a quick
grep in gnu/packages/*.scm.)

Thus it probably makes sense to add a wrapping phase so that Luakit
always works out of the box.

Thoughts?

Thanks,
Ludo’.